=== debian/changelog ===
bzip2 (1.0.3-6) unstable; urgency=low

  * Fixed ppc64 Build-Depends, added Build-Depends on 'libc6-dev-powerpc
    [ppc64]' in control. Patch by Andreas Jochens <aj@andaco.de>. (Closes: #384610)

 -- Santiago Ruano Rincón <santiago@debian.org>  Fri, 25 Aug 2006 11:56:44 -0500

bzip2 (1.0.3-5) unstable; urgency=low

  * 32-bit libraries installed in /usr/lib32 instead of 
    /emul/ia32-linux/usr/lib on ppc64. Patch by Andreas Jochens <aj@andaco.de> 
    (Closes: #384284)
  * Fixed doc-base control file, added Index: value for "info" format.
    (Closes: #377184)

 -- Santiago Ruano Rincón <santiago@debian.org>  Wed, 23 Aug 2006 12:31:02 -0500

bzip2 (1.0.3-4) unstable; urgency=low

  * The file of lib32bz2-1.0 and lib32bz2-dev are installed into 
    /emul/ia32-linux/usr/lib, not /usr/lib32. (Closes: #379858)

 -- Santiago Ruano Rincón <santiago@debian.org>  Tue,  8 Aug 2006 21:22:51 -0500

bzip2 (1.0.3-3) unstable; urgency=low

  * Updated co-maintainer mail address.
  * Set Standards-Version to 3.7.2.
  * Fixed "bzip2: Bug in bzgrep, with fix", closes: #374168.
  * Fixed "Superfluous symlinks in /usr", closes: #375285.
  * Fixed lintian doc-base-file-unknown-format message.
  * Synchronise with Ubuntu.
    - Fixed "build dependency ia32-libs-dev [amd64] -> libc6-dev-i386
      [amd64]", closes: #357271.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 05 Jul 2006 20:31:25 +1000

bzip2 (1.0.3-2ubuntu1) edgy; urgency=low

  * Synchronize to Debian; apply the remaining Ubuntu changes to pristine
    Debian version, since the current diffs were way too messy.
  * debian/rules:
    - Enable 32 bit libraries on amd64.
    - Do not use ia32-libs as alternative shlibs.
  * debian/control: Drop alternate build-dep on ia32-libs-dev.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 28 Jun 2006 10:31:59 +0200

bzip2 (1.0.3-2) unstable; urgency=low

  * Fixed "upgrading fails", closes: #348266. Patches by Paul Brook
    <paul@nowt.org> and Paul Wise <pabs3@bonedaddy.net>.
  * Replaces amd64-libs and amd64-libs-dev versions << 1.5.
  
 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 16 Jan 2006 14:37:38 +1100

bzip2 (1.0.3-1) unstable; urgency=low

  * Synchronise with Ubuntu.
    - Fixed "new upstream bzip2 1.0.3 is available", closes: #318619.
    - Fixed "Please provide 64-bit packages on i386", closes: #341159.
  * Fixed "/usr/bin/$i -> /bin/$i symlinks make bzip2 break on some
    GNU/Hurd installations", closes: #346420.
  * Updated debian/copyright file.
  * Fixed linda error "File not found for field Files in doc-base file
    /usr/share/doc/bzip2/manual_*.html".
  
 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 15 Jan 2006 10:35:23 +1100

bzip2 (1.0.3-0ubuntu1) dapper; urgency=low

  * New upstream version.
  * Synchronise with Debian unstable.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 31 Dec 2005 00:59:50 +0100

bzip2 (1.0.2-11) unstable; urgency=low

  * Fixed "Would be nice if it was installed in /bin (and /lib)",
    closes: #140157.
  * Fixed "The --color option can't be used by bzgrep", closes:
    #316028.
  * Fixed "libbz2-1.0 suggests libbz2-dev without a good reason",
    closes: #333524.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 24 Nov 2005 08:43:24 +1100

bzip2 (1.0.2-10ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.
    - Still generate 64 bit packages

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Thu, 10 Nov 2005 15:21:50 +0100

bzip2 (1.0.2-10) unstable; urgency=low

  * Fixed "libbz2-1.0: broken .shlibs file", closes: #330637.
  
 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 29 Sep 2005 13:04:47 +1000

bzip2 (1.0.2-9) unstable; urgency=low

  * Acknowledge NMU, closes: #321286.
  * Fixed dependency problem, closes: #330003.
  
 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 26 Sep 2005 23:26:55 +1000

bzip2 (1.0.2-8.1) unstable; urgency=low

  * NMU
  * Patch from Martin Pitt to bzgrep, to properly quote characters that can
    break out of the generated sed command, in analogy to the recent zgrep
    fix. Fixes CAN-2005-0758. Closes: #321286

 -- Joey Hess <joeyh@debian.org>  Sun,  4 Sep 2005 16:09:03 -0400

bzip2 (1.0.2-8) unstable; urgency=low

  * Fixed priority disparity. Changed priority from standard to important.
  * Fixed "libbz2-1.0: missing symlink", closes: #320012.
  * Changed upstream homepage, added new uploader.
  * Changed Standards-Version to 3.6.2.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 30 Jul 2005 22:16:25 +1000

bzip2 (1.0.2-7ubuntu2) breezy; urgency=low

  * Build 64bit packages to replace amd64-libs.
  * Build 32bit packages on amd64 (currently disabled).

 -- Matthias Klose <doko@ubuntu.com>  Fri, 12 Aug 2005 16:39:17 +0200

bzip2 (1.0.2-7ubuntu1) breezy; urgency=low

  * SECURITY UPDATE: Fix shell command injection.
  * bzgrep: Properly quote characters that can break out of the generated sed
    command, in analogy to the recent zgrep fix.
  * CAN-2005-0758

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu,  4 Aug 2005 18:46:52 +0200

bzip2 (1.0.2-7) unstable; urgency=high

  * Fixed "CAN-2005-1260 decompression bomb vulnerability", closes: #310803.
    Patch by Martin Pitt <martin.pitt@ubuntu.com>.
  * Fixed "Example provided in documentation causes data loss", closes:
    #293581. Patch by Adam Borowski <kilobyte@mimuw.edu.pl>.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 28 May 2005 14:05:46 +1000

bzip2 (1.0.2-6) unstable; urgency=high

  * Fixed RC bug "file permissions modification race (CAN-2005-0953)", closes:
    #303300. Patch by Santiago Ruano Rincon <santiago@unicauca.edu.co>.
    Original patch available at
    http://marc.theaimsgroup.com/?l=bugtraq&m=111352423504277&w=2

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 04 May 2005 17:13:20 +1000

bzip2 (1.0.2-5) unstable; urgency=low

  * Fixed "missing opening bracket in libbz2-dev.prerm" (Closes: #293673,
    #294663). Patches by Joshua Kwan <joshk@triplehelix.org> and

